# NB: This package can be retired after Jackson 3 is released bringing
# the minimum supported JDK to 8

Name:          jackson-datatype-jdk8
Version:       2.9.8
Release:       1%{?dist}
Summary:       Jackson module that adds supports for JDK 8 data types
License:       ASL 2.0
URL:           https://github.com/FasterXML/jackson-modules-java8
Source0:       https://github.com/FasterXML/jackson-modules-java8/archive/jackson-modules-java8-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-annotations) >= %{version}
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-core) >= %{version}
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-databind) >= %{version}
BuildRequires:  mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires:  mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.assertj:assertj-core)
BuildRequires:  mvn(org.mockito:mockito-core)

BuildArch:     noarch

%description
Java 8 Datatypes: support for other new Java 8 data types outside of
date/time: most notably Optional, OptionalLong, OptionalDouble.

%package -n jackson-modules-java8
Summary: Add-on modules for Jackson to support JDK 8 data types

%description -n jackson-modules-java8
This is a multi-module umbrella project for Jackson modules needed to
support Java 8 features, especially with Jackson 2.x that only requires
Java 7 for running (and until 2.7 only Java 6).

%package -n jackson-module-parameter-names
Summary: Jackson module that adds support for accessing parameter names

%description -n jackson-module-parameter-names
Parameter names: support for detecting constructor and factory method
("creator") parameters without having to use @JsonProperty annotation.

%package -n jackson-datatype-jsr310
Summary: Datatype module to make Jackson recognize Java 8 Date & Time API data types

%description -n jackson-datatype-jsr310
Java 8 Date/time: support for Java 8 date/time types (specified in JSR-310
specification.)

%package javadoc
Summary: Javadoc for %{name}
Obsoletes: jackson-datatype-jsr310-javadoc < %{version}-%{release}
Provides:  jackson-datatype-jsr310-javadoc = %{version}-%{release}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n jackson-modules-java8-jackson-modules-java8-%{version}

# Plugins not needed for RPM builds
%pom_remove_plugin ":maven-enforcer-plugin" datetime parameter-names

# Allow deprecation warnings, due to newer mockito
sed -i -e '/Werror/d' parameter-names/pom.xml

%build
%mvn_build -s

%install
%mvn_install

%files -n jackson-modules-java8 -f .mfiles-jackson-modules-java8
%doc README.md release-notes/*
%license LICENSE

%files -n jackson-module-parameter-names -f .mfiles-jackson-module-parameter-names
%doc parameter-names/README.md
%license LICENSE

%files -n jackson-datatype-jdk8 -f .mfiles-jackson-datatype-jdk8
%doc datatypes/README.md
%license LICENSE

%files -n jackson-datatype-jsr310 -f .mfiles-jackson-datatype-jsr310
%doc datetime/README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Feb 06 2019 Mat Booth <mat.booth@redhat.com> - 2.9.8-1
- Update to latest upstream release

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 gil cattaneo <puntogil@libero.it> 2.7.6-2
- review fixes

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- update to 2.7.6

* Tue Apr 05 2016 gil cattaneo <puntogil@libero.it> 2.6.3-1
- initial rpm
